package org.robotlegs.examples
{
	import flash.display.DisplayObjectContainer;
	
	import org.robotlegs.mvcs.Context;
	import org.robotlegs.base.ContextEvent;
	
	import org.robotlegs.examples.views.*;
	import org.robotlegs.examples.mediators.*;
	
	public class ApplicationContext extends Context
	{
		public function ApplicationContext(contextView:DisplayObjectContainer=null, autoStartup:Boolean=true)
		{
			super(contextView, autoStartup);
		}
		
		override public function startup():void {
			// Map Views
			mediatorMap.mapView(ViewState1, ViewState1Mediator);
			mediatorMap.mapView(ViewState2, ViewState2Mediator);
			
			dispatchEvent(new ContextEvent(ContextEvent.STARTUP_COMPLETE));
		}
	}
}